Main Page | Namespace List | Class Hierarchy | Alphabetical List | Class List | File List | Namespace Members | Class Members | File Members | Related Pages

# osgFX::MultiTextureControl Class Reference

This node provides control over the which texture units are active and the blending weighting between them. More...

Inheritance diagram for osgFX::MultiTextureControl:

[legend]
List of all members.

## Public Member Functions
| MultiTextureControl ()
| MultiTextureControl (const MultiTextureControl &copy, const osg::CopyOp &copyop=osg::CopyOp::SHALLOW_COPY)
| META_Node (osgFX, MultiTextureControl)
void | setTextureWeight (unsigned int unit, float weight)
float | getTextureWeight (unsigned int unit) const
unsigned int | getNumTextureWeights () const
## Protected Types
typedef std::vector< float > | TextureWeightList
## Protected Member Functions
virtual | ~MultiTextureControl ()
MultiTextureControl & | operator= (const MultiTextureControl &)
void | updateStateSet ()
## Protected Attributes
TextureWeightList | _textureWeightList

## Detailed Description

This node provides control over the which texture units are active and the blending weighting between them.

## Member Typedef Documentation

typedef std::vector<float> osgFX::MultiTextureControl::TextureWeightList`[protected]`

## Constructor & Destructor Documentation

osgFX::MultiTextureControl::MultiTextureControl | ( |  | ) |

osgFX::MultiTextureControl::MultiTextureControl | ( | const MultiTextureControl & | copy,
|  | const osg::CopyOp & | copyop = osg::CopyOp::SHALLOW_COPY
| ) |

virtual osgFX::MultiTextureControl::~MultiTextureControl | ( |  | ) | `[inline, protected, virtual]`

## Member Function Documentation

unsigned int osgFX::MultiTextureControl::getNumTextureWeights | ( |  | ) | const`[inline]`

float osgFX::MultiTextureControl::getTextureWeight | ( | unsigned int | unit | ) | const`[inline]`

osgFX::MultiTextureControl::META_Node | ( | osgFX | ,
|  | MultiTextureControl |
| ) |

MultiTextureControl& osgFX::MultiTextureControl::operator= | ( | const MultiTextureControl & |  | ) | `[inline, protected]`

void osgFX::MultiTextureControl::setTextureWeight | ( | unsigned int | unit,
|  | float | weight
| ) |

void osgFX::MultiTextureControl::updateStateSet | ( |  | ) | `[protected]`

## Member Data Documentation

TextureWeightList osgFX::MultiTextureControl::_textureWeightList`[protected]`

The documentation for this class was generated from the following file:

- MultiTextureControl